/**
 * Created by Administrator on 2019/2/28 0028.
 */
frameworkModule.controller('appUsrOperateLogController',
    ['$log', '$q', '$scope', '$translate', '$timeout', '$compile', 'usrOperateLogService','$filter','SweetAlert',
        function ($log, $q, $scope, $translate, $timeout,  $compile, usrOperateLogService, $filter,SweetAlert) {
            // thisModuleName:"@",
            // thisTitle:"@",
            // thisParams:"=",
            $scope.localData = null;
            $scope.loadMainData = function () {
                $scope.thisModuleId = $scope.thisModuleId ? $scope.thisModuleId : [];
                var config = {
                    // params: {
                    "ids":$scope.thisModuleId
                    // }
                };
                usrOperateLogService[$scope.thisModuleName](config).then(function (data) {
                    if (status === 204) {
                        SweetAlert.warning("没有数据可以下载");
                        return;
                    }
                    $scope.dataGridUpdate(data);
                })
            };

            // comment: "767"
            // createTime: "2019-01-28T11:38:31.000+08:00"
            // id: "1"
            // ip: "87"
            // moduleName: "32424"
            // operationAction: "465"
            // operationContent: "32332"
            // operationObject: "4355"
            // operationUser: "868"
            // originalState: "7657"
            // updateState: "768"
            $scope.dataGridUpdate = function (_data) {
                $scope.localData = _data.items;
                $scope.dataGridOptions = {
                    bindingOptions:{
                        dataSource: 'localData',
                    },
                    showBorders: true,
                    paging: {
                        enable: true,
                        pageIndex: 0,
                        pageSize: 10
                    },
                    pager: {
                        allowedPageSizes: 5,
                        infoText: "当前 {0}页 /共 {1}页 ({2} 项)",
                        showInfo: true,
                        showNavigationButtons: true,
                        showPageSizeSelector: true,
                        visible: true
                    },
                    searchPanel: {//查询
                        highlightCaseSensitive: true,
                        highlightSearchText: true,
                        searchVisibleColumnsOnly: false,
                        text: "",
                        width: 518,
                        visible: true,
                        placeholder: $translate.instant('Search'),
                    },
                    sorting: {//排序
                        ascendingText: "Sort Ascending",
                        clearText: "Clear Sorting",
                        descendingText: "Sort Descending",
                        mode: "single"
                    },
                    'export': {
                        allowExportSelectedData: false,//允许选择导出
                        customizeExcelCell: null,
                        enabled: true,//允许导出
                        excelFilterEnabled: false,
                        excelWrapTextEnabled: false,
                        fileName: "usrlog",//名字
                        ignoreExcelErrors: true,

                    },
                    showRowLines: true,
                    columnAutoWidth: true,
                    allowColumnReordering: true,
                    columns: [
                        {
                            dataField: "id",
                            caption: $translate.instant('LogIndex'),
                            allowHeaderFiltering: true,
                        },
                        {
                            dataField: "createTime",
                            caption: $translate.instant('LogOperationTime'),
                            allowHeaderFiltering: true,
                            cellTemplate: function (container, options) {
                                try {
                                    if (options.data.createTime) {
                                        $('<span>').text($filter('date')(options.data.createTime, 'yyyy-MM-dd hh:mm')).appendTo(container);
                                    } else {
                                        $('<span>').text('').appendTo(container);
                                    }
                                } catch (e) {
                                    $log.error(e);
                                }
                            }
                        },
                        // {
                        //     dataField: "operationObject",
                        //     caption: $translate.instant('LogOperateObject'),
                        //     allowHeaderFiltering: true,
                        // },
                        {
                            dataField: "operationAction",
                            caption: $translate.instant('LogOperationDescription'),
                            allowHeaderFiltering: true,
                        },

                        // {
                        //     dataField: "operationContent",
                        //     caption: $translate.instant('OperationContent'),
                        //     allowHeaderFiltering: true,
                        // },

                        // {
                        //     dataField: "originalState",
                        //     caption: $translate.instant('LogOriginalState'),
                        //     allowHeaderFiltering: true,
                        // },
                        {
                            dataField: "updateState",
                            caption: $translate.instant('OperationContent'),
                            allowHeaderFiltering: true,
                        },
                        {
                            dataField: "operationUser",
                            caption: $translate.instant('LogOperationUser'),
                            allowHeaderFiltering: true,
                        },
                        {
                            dataField: "comment",
                            caption: $translate.instant('LogComments'),
                            allowHeaderFiltering: false,
                        }
                    ],
                    rowAlternationEnabled: true,  //单双行颜色
                };
            };

            $scope.openUsrOperateLogPop = function(){
                $scope.loadMainData();
                if(!$("#usrOperateLogPop").length){
                    var usrOperateLogPopTemp = $($("#usrOperateLogPopContainer").html());
                    $("body").append($compile(usrOperateLogPopTemp)($scope));
                }
                $("#usrOperateLogPop").modal("show");
            };
            $scope.hideUsrOperateLogPop = function(){
                $("#usrOperateLogPop").modal("hide");
            };

            //取消
            var cancelDocFileType = function () {
                console.log("cancelDocFileType")
            };


        }]);